.product-tile {
    padding: 10px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.product-tile__available span {
    display: inline-block;
}

.product-tile__btns {
    display: flex;
    width: 100%;
    height: 36px;
}

.product-tile__quantity-box {
    display: flex;
    flex: 1 1 auto;
}

.product-tile__quantity-box input{
    flex: 1 1 auto;
    width: 0;
    padding: 4px;
    background-color: #F2F6F9;
    border: none;
    outline: none;
    border-radius: 6px;
    text-align: center;

    font-weight: 500;
    font-size: 14px;
    line-height: 22.4px;
}

.product-tile__price {
    margin: 5px 0;
}

.product-tile__badgeline .product-tile__badges {
    display: inline-block;
    position: unset;
}

.product-tile__badges {
    display: flex;
    position: absolute;
    
}

.product-tile__badges--top {
    right: 4px;
    top: 5px;
}

.product-tile__badges--bottom {
    left: 4px;
    bottom: 5px;
}

.product-tile__badges--inline {
    position: relative;
}

.product-tile__badges span {
    color: var(--text3-color);
    padding: 2px 6px;
    margin-right: 4px;
    border-radius: 6px;
    display: flex;
    align-items: normal;
    gap: 4px;
}

button.prod-avail__button svg {
    margin-left: auto;
    transform: rotate(0deg);
    transition: transform .2s;
}
button.prod-avail__button {
    padding: 0;
    margin: 0;
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    width: 100%;
}

.listview .prod-avail__button {
    width: auto;
}

button.prod-avail__button span {
    margin: 0;
    font-size: 14px !important;
}

.prod-avail__button .caption {
    font-weight: 400;
}

a .product-tile__image {
    width: 100%;
}

.product-tile__badgeline .product-tile__badges span {
    color: var(--text3-color);
    padding: 2px 6px;
    margin-right: 4px;
    border-radius: 6px;
    display: inline-block;
    
}

.product-tile__badges--top span {
    background-color: var(--pri1-color);
    
}

.product-tile__badges--bottom span, .product-tile__badges--inline span {
    background-color: var(--red);
}

.listview .product-tile__name span {
    font-size: 14px !important;
    line-height: 22.4px !important;
}

.listview .gridview-only, .listview-only {
    display: none;
}

.listview .listview-only {
    display: unset;
}

.listview .product-tile {
    /* display: flex; */
    flex-direction: row;
    /* justify-content: unset; */
}

.listview .product-tile--top {
    display: flex;
    align-items: center;
    gap: 10px;
    flex: 1 1;
}

.listview .product-tile__image {
    /* min-width: 105px; */
    flex: 0 0 100px;
}

.catalog__grid.listview .img-box.img-box--products {
    padding-top: 100%;
    border-radius: 10px;
    min-width: 100px !important; 
    background-color: #fff;
    margin-right: 15px;
    min-height: auto !important;
}

.listview .product-tile--bottom {
    flex: 0 0 273px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.listview .product-tile__price {
    text-align: right;
}

/* Убираем нативное управление для input[type="number"] */

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

.product-tile a:hover .product-tile__name {
    text-decoration: underline;
    text-decoration-color: var(--text1-color);
}

.product-tile--top, .product-tile a {
    width: 100%;
}

.product-tile__available {
    user-select: none;
    position: relative;
}

.product-tile__amount.hidden {
    transform: translate(-50%, 0);
    visibility: hidden;
    opacity: 0;

    transition: opacity .2s, transform .2s, visibility .2s;
}

.product-tile__amount {
    position: absolute;
    width: 100%;
    z-index: 50;
    top: 30px;

    transform: translate(0);
    visibility: visible;
    opacity: 1;

    transition: opacity .2s, transform .2s, visibility .2s;
}

.listview .product-tile__amount {
    position: relative;
    top: 0;
    width: auto;
    max-width: 250px;
}

.catalog__grid.listview .product-tile {
    flex-direction: row;
    border-bottom: 1px solid #8E9EAB;
}

.prod-avail__button.active svg {
    transition: transform .2s;
    transform: rotate(180deg);
}